CamelImapStoreSummary
3
CAMEL Library

# CamelImapStoreSummary

## Synopsis

                        CamelImapStoreInfo;
                        CamelImapStoreNamespace;
                        CamelImapStoreSummary;
    CamelImapStoreSummary* camel_imap_store_summary_new     (void);
    CamelImapStoreNamespace* camel_imap_store_summary_namespace_new
                                                            (CamelImapStoreSummary *s,
                                                             const char *full_name,
                                                             char dir_sep);
    void                camel_imap_store_summary_namespace_set
                                                            (CamelImapStoreSummary *s,
                                                             CamelImapStoreNamespace *ns);
    CamelImapStoreNamespace* camel_imap_store_summary_namespace_find_path
                                                            (CamelImapStoreSummary *s,
                                                             const char *path);
    CamelImapStoreNamespace* camel_imap_store_summary_namespace_find_full
                                                            (CamelImapStoreSummary *s,
                                                             const char *full_name);
    char*               camel_imap_store_summary_full_to_path
                                                            (CamelImapStoreSummary *s,
                                                             const char *full_name,
                                                             char dir_sep);
    char*               camel_imap_store_summary_path_to_full
                                                            (CamelImapStoreSummary *s,
                                                             const char *path,
                                                             char dir_sep);
    CamelImapStoreInfo* camel_imap_store_summary_full_name  (CamelImapStoreSummary *s,
                                                             const char *full_name);
    CamelImapStoreInfo* camel_imap_store_summary_add_from_full
                                                            (CamelImapStoreSummary *s,
                                                             const char *full_name,
                                                             char dir_sep);
    char*               camel_imap_store_summary_full_from_path
                                                            (CamelImapStoreSummary *s,
                                                             const char *path);
    #define             camel_imap_store_info_full_name     (s, i)

## Description

## Details

### CamelImapStoreInfo

    typedef struct {
    	CamelStoreInfo info;
    	char *full_name;
    } CamelImapStoreInfo;

### CamelImapStoreNamespace

    typedef struct {
    	char *path;		/* display path */
    	char *full_name;	/* real name */
    	char sep;		/* directory separator */
    } CamelImapStoreNamespace;

### CamelImapStoreSummary

    typedef struct {
    	CamelStoreSummary summary;

    	struct _CamelImapStoreSummaryPrivate *priv;

    	/* header info */
    	guint32 version;	/* version of base part of file */
    	guint32 capabilities;
    	CamelImapStoreNamespace *namespace; /* eventually to be a list */
    } CamelImapStoreSummary;

### camel_imap_store_summary_new ()

    CamelImapStoreSummary* camel_imap_store_summary_new     (void);

Create a new CamelImapStoreSummary object.

Returns :

  A new CamelImapStoreSummary widget.

### camel_imap_store_summary_namespace_new ()

    CamelImapStoreNamespace* camel_imap_store_summary_namespace_new
                                                            (CamelImapStoreSummary *s,
                                                             const char *full_name,
                                                             char dir_sep);

`s` :

`full_name` :

`dir_sep` :

Returns :

### camel_imap_store_summary_namespace_set ()

    void                camel_imap_store_summary_namespace_set
                                                            (CamelImapStoreSummary *s,
                                                             CamelImapStoreNamespace *ns);

`s` :

`ns` :

### camel_imap_store_summary_namespace_find_path ()

    CamelImapStoreNamespace* camel_imap_store_summary_namespace_find_path
                                                            (CamelImapStoreSummary *s,
                                                             const char *path);

`s` :

`path` :

Returns :

### camel_imap_store_summary_namespace_find_full ()

    CamelImapStoreNamespace* camel_imap_store_summary_namespace_find_full
                                                            (CamelImapStoreSummary *s,
                                                             const char *full_name);

`s` :

`full_name` :

Returns :

### camel_imap_store_summary_full_to_path ()

    char*               camel_imap_store_summary_full_to_path
                                                            (CamelImapStoreSummary *s,
                                                             const char *full_name,
                                                             char dir_sep);

`s` :

`full_name` :

`dir_sep` :

Returns :

### camel_imap_store_summary_path_to_full ()

    char*               camel_imap_store_summary_path_to_full
                                                            (CamelImapStoreSummary *s,
                                                             const char *path,
                                                             char dir_sep);

`s` :

`path` :

`dir_sep` :

Returns :

### camel_imap_store_summary_full_name ()

    CamelImapStoreInfo* camel_imap_store_summary_full_name  (CamelImapStoreSummary *s,
                                                             const char *full_name);

Retrieve a summary item by full name.

A referenced to the summary item is returned, which may be ref'd or free'd as appropriate.

`s` :

`full_name` :

Returns :

  The summary item, or NULL if the `full_name` name is not available. It must be freed using `camel_store_summary_info_free()`.

### camel_imap_store_summary_add_from_full ()

    CamelImapStoreInfo* camel_imap_store_summary_add_from_full
                                                            (CamelImapStoreSummary *s,
                                                             const char *full_name,
                                                             char dir_sep);

`s` :

`full_name` :

`dir_sep` :

Returns :

### camel_imap_store_summary_full_from_path ()

    char*               camel_imap_store_summary_full_from_path
                                                            (CamelImapStoreSummary *s,
                                                             const char *path);

`s` :

`path` :

Returns :

### camel_imap_store_info_full_name()

    #define camel_imap_store_info_full_name(s, i) (camel_store_info_string((CamelStoreSummary *)s, (const CamelStoreInfo *)i, CAMEL_IMAP_STORE_INFO_FULL_NAME))

`s` :

`i` :